Page MenuHomePhabricator

Convert unique keys into primary keys for some wiki tables on s1, s2, s4, s5 and s7 (eqiad)
Closed, ResolvedPublic

Description

s3 and s6 (eqiad) had already been done/are handled on separate tasks: T163912 T163979
s5 master had hardware issues: T164107, now part of the change.

Related Objects

Event Timeline

jcrespo created this task.May 1 2017, 11:15 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 1 2017, 11:15 AM

Mentioned in SAL (#wikimedia-operations) [2017-05-01T11:25:04Z] <jynus> running alter table on enwiki.categorylinks on db1052 T164185

Mentioned in SAL (#wikimedia-operations) [2017-05-01T11:31:15Z] <jynus> running alter table on categorylinks on db1054, 68, 62 T164185

jcrespo renamed this task from Convert unique keys into primary keys for some wiki tables on s1, s2, s4 and s7 (eqiad) to Convert unique keys into primary keys for some wiki tables on s1, s2, s4, s5 and s7 (eqiad).May 1 2017, 4:59 PM
jcrespo moved this task from Triage to In progress on the DBA board.
jcrespo updated the task description. (Show Details)
jcrespo added a project: Schema-change.
jcrespo edited projects, added Blocked-on-schema-change; removed Schema-change.
jcrespo moved this task from Backlog to In progress on the Blocked-on-schema-change board.

running:

./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=categorylinks "add primary key (cl_from,cl_to)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=categorylinks "drop key cl_from" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=templatelinks "add primary key (tl_from,tl_namespace,tl_title)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=pagelinks "add primary key (pl_from,pl_namespace,pl_title)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=text "drop key old_id, add primary key (old_id)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=imagelinks "drop key il_from, add primary key (il_from,il_to)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=iwlinks "drop key iwl_from, add primary key (iwl_from,iwl_prefix,iwl_title)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=langlinks "drop key ll_from, add primary key (ll_from,ll_lang)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=log_search "drop key ls_field_val, add primary key (ls_field,ls_value,ls_log_id)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=math "drop key math_inputhash, add primary key (math_inputhash)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=module_deps "drop key md_module_skin, add primary key (md_module,md_skin)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=objectcache "drop key keyname, add primary key (keyname)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=querycache_info "drop key  qci_type, add primary key (qci_type)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=site_stats "drop key ss_row_id, add primary key (ss_row_id)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=transcache "drop key tc_url_idx, add primary key (tc_url)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=user_former_groups "drop key ufg_user_group, add primary key (ufg_user,ufg_group)" --method=ddl --no-replicate
./software/dbtools/osc_host.sh --host=$host.eqiad.wmnet --dblist=$shard.dblist --table=user_properties "drop key user_properties_user_property, add primary key (up_user,up_property)" --method=ddl --no-replicate

Applied on all masters: db1052, db1054, db1068, db1063 and db1062. All eqiad slaves pending.

Great job! We are one step further now!!

Marostegui moved this task from In progress to Meta/Epic on the DBA board.May 24 2017, 8:35 AM

Thank you, see T172485.